>From 42a69cb6435df3770d2120291d25fcc41312fa7f Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Fri, 19 Aug 2011 14:58:00 +0300
Subject: [carFl mem 15/65] Globalisation pass 1: bitbang_spi.c

This commit breaks builds until "Globalistation pass 1: fixes".

It does nothing more, just passes globals structure across function
calls.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 bitbang_spi.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

diff --git a/bitbang_spi.c b/bitbang_spi.c
index 4219a62..751060a 100644
--- a/bitbang_spi.c
+++ b/bitbang_spi.c
@@ -64,7 +64,7 @@ static void bitbang_spi_release_bus(void)
 		bitbang_spi_master->release_bus();
 }
 
-static int bitbang_spi_send_command(unsigned int writecnt, unsigned int readcnt,
+static int bitbang_spi_send_command(globals *g, unsigned int writecnt, unsigned int readcnt,
 		const unsigned char *writearr, unsigned char *readarr);
 
 static const struct spi_programmer spi_programmer_bitbang = {
@@ -125,24 +125,24 @@ int bitbang_spi_shutdown(const struct bitbang_spi_master *master)
 	return 0;
 }
 
-static uint8_t bitbang_spi_readwrite_byte(uint8_t val)
+static uint8_t bitbang_spi_readwrite_byte(globals *g, uint8_t val)
 {
 	uint8_t ret = 0;
 	int i;
 
 	for (i = 7; i >= 0; i--) {
 		bitbang_spi_set_mosi((val >> i) & 1);
-		programmer_delay(bitbang_spi_half_period);
+		programmer_delay(g, bitbang_spi_half_period);
 		bitbang_spi_set_sck(1);
 		ret <<= 1;
 		ret |= bitbang_spi_get_miso();
-		programmer_delay(bitbang_spi_half_period);
+		programmer_delay(g, bitbang_spi_half_period);
 		bitbang_spi_set_sck(0);
 	}
 	return ret;
 }
 
-static int bitbang_spi_send_command(unsigned int writecnt, unsigned int readcnt,
+static int bitbang_spi_send_command(globals *g, unsigned int writecnt, unsigned int readcnt,
 		const unsigned char *writearr, unsigned char *readarr)
 {
 	int i;
@@ -154,13 +154,13 @@ static int bitbang_spi_send_command(unsigned int writecnt, unsigned int readcnt,
 	bitbang_spi_request_bus();
 	bitbang_spi_set_cs(0);
 	for (i = 0; i < writecnt; i++)
-		bitbang_spi_readwrite_byte(writearr[i]);
+		bitbang_spi_readwrite_byte(g, writearr[i]);
 	for (i = 0; i < readcnt; i++)
-		readarr[i] = bitbang_spi_readwrite_byte(0);
+		readarr[i] = bitbang_spi_readwrite_byte(g, 0);
 
-	programmer_delay(bitbang_spi_half_period);
+	programmer_delay(g, bitbang_spi_half_period);
 	bitbang_spi_set_cs(1);
-	programmer_delay(bitbang_spi_half_period);
+	programmer_delay(g, bitbang_spi_half_period);
 	/* FIXME: Run bitbang_spi_release_bus here or in programmer init? */
 	bitbang_spi_release_bus();
 
-- 
1.7.6

